﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
#nullable disable
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace DataLayer.Entities;

public partial class Client
{
    [Key]
    [Column("id")]
    public Guid Id { get; set; }

    [Required]
    [Column("pin")]
    [StringLength(255)]
    public string Pin { get; set; }

    [Required]
    [Column("name")]
    [StringLength(255)]
    public string Name { get; set; }

    [Column("number")]
    [StringLength(255)]
    public string Number { get; set; }

    [Column("email")]
    [StringLength(255)]
    public string Email { get; set; }

    [Column("is_deleted")]
    public bool IsDeleted { get; set; }

    [InverseProperty("Client")]
    public virtual ICollection<Booking> Bookings { get; set; } = new List<Booking>();
}